Subject: Re: The boot process can't delete old /tmp when it contains non-UTF-8 file names

From: Maxime Devos <[email-masked]>
Date: Sun, 25 Sep 2022 13:25:08 +0200

On 24-09-2022 23:12, Maxime Devos wrote:
> Will try to catch the exact warning message and write a reproducer at 
> the next boot, for now I write it here before I forget about it.

Two reproducers:

(1) Compile ripgrep and somehow let it fail (but after it creates 
non-UTF-8 file names), reboot, "ls /tmp"
(2) Run touch /tmp/OOPS-$(echo -e '\xff')-OOPS, reboot, "ls /tmp"

I didn't see the warning this time though.

Greetings,
Maxime.